using System.Web.UI;
using AjaxControlToolkit;
using System.Drawing;
using System.ComponentModel;

[assembly: WebResource("jQueryNET.ContextMenu.ContextMenu.css", "text/css", PerformSubstitution = true)]
[assembly: WebResource("jQueryNET.ContextMenu.ContextMenu.js", "application/x-javascript", PerformSubstitution = true)]

[assembly: WebResource("jQueryNET.ContextMenu.Images.menu.gif", "image/gif")]
[assembly: WebResource("jQueryNET.ContextMenu.Images.item_over.gif", "image/gif")]
[assembly: WebResource("jQueryNET.ContextMenu.Images.menu_parent.gif", "image/gif")]
namespace jQueryNET
{
	[RequiredScript(typeof(ScriptResources), 0)]
	[RequiredScript(typeof(Common), 1)]
	[RequiredScript(typeof(JQueryScript), 2)]
	[ClientCssResource("jQueryNET.Common.Common.css")]
	[ClientCssResource("jQueryNET.ContextMenu.ContextMenu.css")]
	[ClientScriptResource("jQueryNET.Controls.ContextMenu", "jQueryNET.ContextMenu.ContextMenu.js")]
	[ToolboxBitmap(typeof(ContextMenu), "ContextMenu.ContextMenu.ico")]
	public class ContextMenu : ControlBase
	{
		#region Public constructors

		/// <summary>
		/// 
		/// </summary>
		public ContextMenu()
			: base(true, HtmlTextWriterTag.Div)
		{
			Items = new MenuItemCollection();
		}

		#endregion

		#region Public properties

		[Description("Gets menu items")]
		[Category("Behavior")]
		[ExtenderControlProperty(true, true)]
		[ClientPropertyName("items")]
		public MenuItemCollection Items { get; private set; }

		#endregion
	}
}