﻿using System.Drawing;
using System.Web.UI;
using AjaxControlToolkit;

[assembly: WebResource("jQueryNET.ToolBar.ToolBar.css", "text/css", PerformSubstitution = true)]
[assembly: WebResource("jQueryNET.ToolBar.ToolBar.js", "application/x-javascript", PerformSubstitution = true)]
[assembly: WebResource("jQueryNET.ToolBar.Images.bg.gif", "image/gif")]

namespace jQueryNET
{
	[RequiredScript(typeof(Common), 0)]
	[RequiredScript(typeof(JQueryScript), 1)]
	[RequiredScript(typeof(Separator), 2)]
	[RequiredScript(typeof(Button), 3)]
	[RequiredScript(typeof(Label), 4)]
	[RequiredScript(typeof(TextBox), 5)]
	[ClientCssResource("jQueryNET.ToolBar.ToolBar.css")]
	[ClientScriptResource("jQueryNET.Controls.ToolBar", "jQueryNET.ToolBar.ToolBar.js")]
	[ToolboxBitmap(typeof(ToolBar), "ToolBar.ToolBar.ico")]
	public class ToolBar : ControlBase
	{
		#region Public constructors

		/// <summary>
		/// 
		/// </summary>
		public ToolBar()
			: base(true, HtmlTextWriterTag.Div)
		{
		}

		#endregion

	}
}
